/* $Id: ShowElementAction.java 373 2011-10-01 16:30:41Z shayashi $ */
package smart_gs.reasoning_web.swingui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.reasoning_web.desktop.logical.DesktopElement;

public class ShowElementAction implements ActionListener {

	public void actionPerformed(ActionEvent arg0) {
		DesktopElement element = ReasoningWebFrame.getInstance().getDesktopPanel().getSelectedElement();
		if (element != null) element.show();
	}

}
